Name:           nde-systemsettings
Summary:        nde systemsettings
Version:        0.0.1
Release:        8%{?dist}
License:        LGPLv2+
URL:            http://www.gd-linux.com
Source0:        %{name}-%{version}.tar.gz

BuildRequires: pkgconfig(Qt5Core)
BuildRequires: pkgconfig(xcb)
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(xi)
BuildRequires: pkgconfig(xcursor)
BuildRequires: xorg-x11-drv-libinput-devel
BuildRequires: pkgconfig(Qt5Widgets)
BuildRequires: pkgconfig(Qt5Gui)
BuildRequires: pkgconfig(Qt5Network)
BuildRequires: pkgconfig(Qt5DBus)
BuildRequires: pkgconfig(Qt5Xml)
BuildRequires: pkgconfig(kscreen2)
BuildRequires: pkgconfig(libudev)
BuildRequires: pkgconfig(nde) >= 0.0.1
BuildRequires: pkgconfig(nde-globalkeys)
BuildRequires: pkgconfig(sysstat-qt5)
BuildRequires: cmake(Qt5LinguistTools)
BuildRequires: kf5-networkmanager-qt-devel
BuildRequires: kf5-kdbusaddons-devel
BuildRequires: kf5-kwindowsystem-devel >= 5.5.0
BuildRequires: nde-lib-devel
BuildRequires: nde-qtxdg-devel
BuildRequires: nde-widget
BuildRequires: libstatgrab-devel
BuildRequires: libfm-qt-devel
BuildRequires: glib2-devel
BuildRequires: libexif-devel
BuildRequires: fcitx-devel
BuildRequires: cmake(KF5Auth)
BuildRequires: cmake(KF5WidgetsAddons)
BuildRequires: pulseaudio-libs-devel
BuildRequires: kf5-ki18n-devel
BuildRequires: kf5-kcoreaddons-devel
BuildRequires: kf5-kio-devel
BuildRequires: kf5-solid-devel >= 5.5
BuildRequires: libuuid-devel
BuildRequires: openssl-devel

Requires: nde-lib
Requires: nde-qtxdg
Requires: nde-widget
Requires: kf5-networkmanager-qt
Requires: kf5-kwindowsystem
Requires: libstatgrab
Requires: timedatex

%description
%{summary}.

%prep
%setup -q

%build
mkdir -p %{_target_platform}
find . -name parse_sn -exec rm {} \;
pushd %{_target_platform}
    %{cmake_nde} \
    -DPULL_TRANSLATIONS=NO \
    ..
popd

make %{?_smp_mflags} -C %{_target_platform}
%post
systemctl enable systemsettings.service
systemctl start systemsettings.service

%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

%find_lang nde-systemsettings --with-qt
%find_lang systeminfo --with-qt
%find_lang screen --with-qt
%find_lang cablenetwork --with-qt
%find_lang wlan --with-qt
%find_lang printer --with-qt

%files -f nde-systemsettings.lang -f screen.lang -f systeminfo.lang -f cablenetwork.lang -f wlan.lang -f printer.lang

%{_bindir}/nde-systemsettings
%{_bindir}/systemsettings
%{_bindir}/nde-systemsettings-autostart
%{_libdir}/nde-systemsettings/*.so
%{_datadir}/applications/nde-systemsettings.desktop
%{_datadir}/nde/nde-systemsettings/*.desktop
%dir %{_datadir}/nde/translations/nde-systemsettings
/usr/share/polkit-1/actions/org.nde.systemsettings.policy
/etc/nde/nde-systemsettings.conf
/etc/license/*.lic
%{_sysconfdir}//dbus-1/system.d/com.nde.systemsettings.conf
/usr/lib/systemd/system/systemsettings.service

%changelog
* Wed Nov 18 2020 NewStart <os@gd-linux.com> - 0.0.1-8
- 添加有线、打印机、无线模块

* Fri Nov 13 2020 NewStart <os@gd-linux.com> - 0.0.1-7
- 添加手动设置屏幕参数

* Mon Nov 09 2020 NewStart <os@gd-linux.com> - 0.0.1-6
- 添加显示模块

* Fri Oct 9 2020 NewStart <os@gd-linux.com> - 0.0.1-5
- 右侧详细设置界面添加滚动条

* Tue Sep 29 2020 NewStart <os@gd-linux.com> - 0.0.1-4
- 修改默认代理配置

* Tue Sep 29 2020 NewStart <os@gd-linux.com> - 0.0.1-3
- 代理设置界面优化

* Mon Sep 28 2020 NewStart <os@gd-linux.com> - 0.0.1-2
- 添加代理设置模块

* Mon Sep 21 2020 NewStart <os@gd-linux.com> - 0.0.1-1
- First release.
